> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all projects of an organization with pagination



## OpenAPI

````yaml get /organization/{organizationId}/projects
openapi: 3.0.0
info:
  title: Cybedefend API
  description: >-
    CybeDefend is an advanced API for application security analysis. Key
    features include OAuth 2.0 authentication, user/organization/project
    management, and REBAC-based permissions. It excels in static, dynamic, and
    IaC security analyses (SAST, DAST, IaC, etc.).
  version: '1.0'
  contact: {}
servers:
  - url: https://api-eu.cybedefend.com
    description: EU
  - url: https://api-us.cybedefend.com
    description: US
security: []
tags: []
paths:
  /organization/{organizationId}/projects:
    get:
      tags:
        - Project
      summary: Get all projects of an organization with pagination
      operationId: ProjectController_getProjectsOrganization
      parameters:
        - name: organizationId
          required: true
          in: path
          description: Organization ID
          schema:
            format: uuid
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            example: 1
            type: number
        - name: pageSize
          required: false
          in: query
          description: Page size
          schema:
            minimum: 1
            maximum: 10
            example: 10
            type: number
        - name: search
          required: false
          in: query
          description: Search query
          schema:
            example: my-project
            type: string
      responses:
        '200':
          description: Projects found successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedProjectsAllInformationsResponseDto
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                example:
                  message: Unauthorized
                  statusCode: 401
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                example:
                  message: Forbidden
                  statusCode: 403
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
components:
  schemas:
    PaginatedProjectsAllInformationsResponseDto:
      type: object
      properties:
        projects:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAllInformationsResponseDto'
        totalProjects:
          type: number
          description: Total number of projects
        totalPages:
          type: number
          description: Total number of pages
        mainStatistics:
          description: Main statistics
          allOf:
            - $ref: '#/components/schemas/MainStatisticsResponseDto'
      required:
        - projects
        - totalProjects
        - totalPages
        - mainStatistics
    ErrorDto:
      type: object
      properties:
        timestamp:
          type: string
          example: '2025-02-18T12:31:18.491Z'
          description: Timestamp of the error
        service:
          type: string
          example: AiService
          description: Name of the service where the error occurred
        method:
          type: string
          example: startConversation
          description: Method name where the error occurred
        message:
          type: string
          example: Invalid parameters provided
          description: Error message
        code:
          type: number
          example: 400
          description: HTTP status code
          minimum: 100
          maximum: 599
      required:
        - timestamp
        - service
        - method
        - message
        - code
    ProjectAllInformationsResponseDto:
      type: object
      properties:
        projectId:
          type: string
          description: Project unique identifier
          format: uuid
        teamId:
          type: string
          description: Team unique identifier
          format: uuid
        teamName:
          type: string
          description: Team name
        name:
          type: string
          description: Project name
        createdAt:
          format: date-time
          type: string
          description: Project creation date
        updatedAt:
          format: date-time
          type: string
          description: Project update date
        riskLevel:
          type: string
          description: Risk level of the project
        riskScore:
          type: number
          description: Risk score of the project (0-100)
        issuesCount:
          description: Number of issues by severity
          allOf:
            - $ref: '#/components/schemas/IssueCountResponseDto'
        analyses:
          type: array
          items:
            $ref: '#/components/schemas/AnalysisTypeResponseDto'
        ingestionProjectId:
          type: string
          description: Ingestion project identifier for parsed projects
        isGithubLinked:
          type: boolean
          description: Indicates if the project is linked to a GitHub repository
        isGitlabLinked:
          type: boolean
          description: Indicates if the project is linked to a GitLab repository
        referenceBranch:
          type: string
          description: >-
            Reference branch for vulnerability statistics. When set,
            vulnerability counts are filtered to this branch only.
          nullable: true
      required:
        - projectId
        - teamId
        - teamName
        - name
        - createdAt
        - updatedAt
        - riskLevel
        - riskScore
        - issuesCount
        - analyses
        - isGithubLinked
        - isGitlabLinked
    MainStatisticsResponseDto:
      type: object
      properties:
        criticalRiskProjects:
          type: number
          description: Number of critical risk projects
        criticalRiskProjectsInLast7Days:
          type: number
          description: Number of critical risk projects in the last 7 days
        highRiskProjects:
          type: number
          description: Number of high risk projects
        highRiskProjectsInLast7Days:
          type: number
          description: Number of high risk projects in the last 7 days
        solvedIssues:
          type: number
          description: Number of solved issues
        solvedIssuesInLast7Days:
          type: number
          description: Number of solved issues in the last 7 days
        newIssues:
          type: number
          description: Number of new issues
        newIssuesInLast7Days:
          type: number
          description: Number of new issues in the last 7 days
        criticalIssues:
          type: number
          description: Number of critical issues
        highIssues:
          type: number
          description: Number of high-severity issues
        mediumIssues:
          type: number
          description: Number of medium-severity issues
        lowIssues:
          type: number
          description: Number of low-severity issues
      required:
        - criticalRiskProjects
        - criticalRiskProjectsInLast7Days
        - highRiskProjects
        - highRiskProjectsInLast7Days
        - solvedIssues
        - solvedIssuesInLast7Days
        - newIssues
        - newIssuesInLast7Days
        - criticalIssues
        - highIssues
        - mediumIssues
        - lowIssues
    IssueCountResponseDto:
      type: object
      properties:
        critical:
          type: number
          description: Number of critical issues
        high:
          type: number
          description: Number of high-severity issues
        medium:
          type: number
          description: Number of medium-severity issues
        low:
          type: number
          description: Number of low-severity issues
      required:
        - critical
        - high
        - medium
        - low
    AnalysisTypeResponseDto:
      type: object
      properties:
        type:
          type: string
          description: Type of analysis
        lastScan:
          format: date-time
          type: string
          description: Date of the last scan
        source:
          type: string
          description: Analysis source
        issuesCount:
          description: Number of issues by severity
          allOf:
            - $ref: '#/components/schemas/IssueCountResponseDto'
      required:
        - type
        - lastScan
        - source
        - issuesCount

````